/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: AuditConsoleEvent.as 19356 2010-03-04 21:02:36Z mancelin $
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.auditconsole.event {
import com.adobe.cairngorm.control.CairngormEvent;

import flash.events.Event;

/**
 * A ModuleEvent is dispatched when the associated action is triggered from the view.
 */
public class NodeConsoleEvent extends CairngormEvent {

	public static var TREE_GET_GRAPH:String = "get the given graph of the NodeID";

	public var id:String;

    /**
     * Creates a new ModuleEvent.
     */
    public function NodeConsoleEvent(type : String, id: String) {
        super(type);
		this.id = id;

    }
    /**
     * Overrides the clone function of the CairngormEvent class.
     * returns a new ModuleEvent
     */
    override public function clone() : Event {
        return new NodeConsoleEvent(this.type, this.id);
    }
}
}
