/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ServerHealthModel.as 19387 2010-03-09 10:31:40Z mancelin $
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.auditconsole.model {
import mx.collections.ArrayCollection;

import org.ow2.jonas.admin.auditconsole.util.IconsUtils;
import org.ow2.jonas.admin.auditconsole.vo.GenericAuditReportVO;
import org.ow2.jonas.admin.auditconsole.vo.InvocationAuditReportVO;
import org.ow2.jonas.admin.auditconsole.vo.JNDIAuditReportVO;
import org.ow2.jonas.admin.auditconsole.vo.WebInvocationAuditReportVO;

/**
 * Stats on the application server.
 */
[Bindable]
public class ServerHealthModel {

    [Embed("/../assets/blank.png")]
    private const blank:Class;

    public var jonasReqAverage:String = "No data";
    public var jonasReqAverageTrend:Class = blank;
    public var jonasTotalReq:String = "No data";
    public var jonasTotalReqTrend:Class = blank;
    public var jonasReqCount:String = "No data";

    public var easybeansReqAverage:String = "No data";
    public var easybeansReqAverageTrend:Class = blank;
    public var easybeansTotalReq:String = "No data";
    public var easybeansTotalReqTrend:Class = blank;
    public var easybeansReqCount:String = "No data";

    public var tomcatReqAverage:String = "No data";
    public var tomcatReqAverageTrend:Class = blank;
    public var tomcatTotalReq:String = "No data";
    public var tomcatTotalReqTrend:Class = blank;
    public var tomcatReqCount:String = "No data";

    public var jndiReqAverage:String = "No data";
    public var jndiReqAverageTrend:Class = blank;
    public var jndiTotalReq:String = "No data";
    public var jndiTotalReqTrend:Class = blank;
    public var jndiReqCount:String = "No data";

    public var stats:ArrayCollection = new ArrayCollection();

    public function ServerHealthModel() {
        updateTable();
    }
    
    public function updateTable() : void {
        stats.removeAll();
        stats.addItem({name:"JOnAS requests average duration", data:jonasReqAverage, trend:jonasReqAverageTrend});
        stats.addItem({name:"JOnAS total requests duration", data:jonasTotalReq, trend:jonasTotalReqTrend});
        stats.addItem({name:"JOnAS requests count", data:jonasReqCount, trend:blank});
        stats.addItem({name:"", data:"", trend:blank});
        stats.addItem({name:"EasyBeans requests average duration", data:easybeansReqAverage, trend:easybeansReqAverageTrend});
        stats.addItem({name:"EasyBeans total request duration", data:easybeansTotalReq, trend:easybeansTotalReqTrend});
        stats.addItem({name:"EasyBeans request count", data:easybeansReqCount, trend:blank});
        stats.addItem({name:"", data:"", trend:blank});
        stats.addItem({name:"Tomcat requests average duration", data:tomcatReqAverage, trend:tomcatReqAverageTrend});
        stats.addItem({name:"Tomcat total request duration", data:tomcatTotalReq, trend:tomcatTotalReqTrend});
        stats.addItem({name:"Tomcat request count", data:tomcatReqCount, trend:blank});
        stats.addItem({name:"", data:"", trend:blank});
        stats.addItem({name:"JNDI requests average duration", data:jndiReqAverage, trend:jndiReqAverageTrend});
        stats.addItem({name:"JNDI total request duration", data:jndiTotalReq, trend:jndiTotalReqTrend});
        stats.addItem({name:"JNDI request count", data:jndiReqCount, trend:blank});
    }


}
}