/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: LifeCycleAuditReportVO.as 19356 2010-03-04 21:02:36Z mancelin $
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.auditconsole.vo {
import com.adobe.cairngorm.vo.IValueObject;

import org.ow2.jonas.admin.auditconsole.util.IconsUtils;

/**
 * Object that represent a lifecycle audit report.
 */
[RemoteClass(alias="org.ow2.util.auditreport.impl.LifeCycleAuditReport")]
[Bindable]
public class LifeCycleAuditReportVO  extends GenericAuditReportVO implements IValueObject {
    /**
     * Constructor.
     */
    public function LifeCycleAuditReportVO() {
        super();
    }

    public override function toString():String {
        return super.toString();
    }

    public override function toHTMLString():String {
        return super.toHTMLString();
    }

    public override function isEJBInvocation():Boolean {
        return false;
    }

    public override function isWEBInvocation():Boolean {
        return false;
    }

    public override function isJNDIInvocation():Boolean {
        return false;
    }

    public override function get icon():String {
        return "/../assets/bean.png";
    }

    public override function get iconClass():Class {
        return IconsUtils.getInstance().beanIcon;
    }

    public override function get type():String {
        return "LIFECYCLE";
    }

    public override function get duration():Number {
        return 0;
    }

    public override function get gridTarget():String {
        return target;
    }
}
}